libvendorlib-perl_0.10-2_all.deb


Advertisement

Description

libvendorlib-perl - pragma to enforce only core and vendor libraries are used

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libvendorlib-perl
Package version: 0.10
Package release: 2
Package architecture: all
Package type: deb
Installed size: 56 B
Download size: 7.29 KB
Official Mirror: ftp.br.debian.org
In a system distribution such as Debian, it may be advisable for Perl programs to ignore the user's CPAN-installed modules and only use the distribution-provided modules to avoid possible breakage with newer and unpackaged versions of modules. To that end, this pragma will replace your @INC with only the core and vendor @INC paths, ignoring site_perl and $ENV{PERL5LIB} entirely. It is recommended that you put 'use vendorlib;' as the first statement in your program, before even 'use strict;' and 'use warnings;'.

Alternatives

Requires

    Download

    Source package: libvendorlib-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libvendorlib-perl deb package:
      # sudo apt-get install libvendorlib-perl

    Files

    • /usr/share/doc/libvendorlib-perl/changelog.Debian.gz
    • /usr/share/doc/libvendorlib-perl/changelog.gz
    • /usr/share/doc/libvendorlib-perl/copyright
    • /usr/share/man/man3/vendorlib.3pm.gz
    • /usr/share/perl5/vendorlib.pm

    Changelog

    2011-03-07 - gregor herrmann <gregoa@debian.org> libvendorlib-perl (0.10-2) unstable; urgency=low * Add patch missing-home.patch: skip tilde expansion tests if getpwuid() returns a home directory and this directory doesn't exist (closes: #615963). * Add /me to Uploaders.

    2011-02-15 - Nicholas Bamber <nicholas@periapt.co.uk> libvendorlib-perl (0.10-1) unstable; urgency=low * New upstream release

    2011-01-07 - Nicholas Bamber <nicholas@periapt.co.uk> libvendorlib-perl (0.05-1) unstable; urgency=low * Initial Release. (Closes: #609172)

    Advertisement
    Advertisement